Package org.eclipse.emf.cdo.server.spi.admin

# Interface CDOAdminHandler2

All Superinterfaces:
  `CDOAdminHandler`

public interface CDOAdminHandler2 extends CDOAdminHandler
An optional extension of the `CDOAdminHandler` interface that provides additional queries and control functions, such as determination of whether deletion of a particular repository is feasible even to attempt.

Since:
  4.2
Author:
  Christian W. Damus (CEA LIST)

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.server.spi.admin.CDOAdminHandler

`CDOAdminHandler.Factory`

## Method Summary

Modifier and Type
Method
Description
`void`
`authenticateAdministrator()`
Authenticates the user as a server administrator, if applicable.
`boolean`
`canDelete(IRepository delegate)`
Queries whether a given `repository` can be deleted.

### Methods inherited from interface org.eclipse.emf.cdo.server.spi.admin.CDOAdminHandler

`createRepository, deleteRepository, getType`

## Method Details

### canDelete

boolean canDelete(IRepository delegate)
Queries whether a given `repository` can be deleted. If it cannot, then it will not be deactivated and the delete operation will fail with an exception back to the client.

### authenticateAdministrator

void authenticateAdministrator() throws SecurityException
Authenticates the user as a server administrator, if applicable.

Throws:
  `SecurityException` - if authentication is required and fails